ldns documentation

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
ldns_struct_pkt Struct Reference

DNS packet. More...

## Data Fields
ldns_hdr * | _header
| Header section. More...
ldns_rdf * | _answerfrom
| The size of the wire format of the packet in octets. More...
struct timeval | timestamp
| Timestamp of the time the packet was sent or created. More...
uint32_t | _querytime
| The duration of the query this packet is an answer to. More...
size_t | _size
| The size of the wire format of the packet in octets. More...
ldns_rr * | _tsig_rr
| Optional tsig rr. More...
uint16_t | _edns_udp_size
| EDNS0 available buffer size, see RFC2671. More...
uint8_t | _edns_extended_rcode
| EDNS0 Extended rcode. More...
uint8_t | _edns_version
| EDNS Version. More...
uint16_t | _edns_z
| Reserved EDNS data bits. More...
ldns_rdf * | _edns_data
| Arbitrary EDNS rdata. More...
ldns_rr_list * | _question
| Question section. More...
ldns_rr_list * | _answer
| Answer section. More...
ldns_rr_list * | _authority
| Authority section. More...
ldns_rr_list * | _additional
| Additional section. More...

## Detailed Description

DNS packet.

This structure contains a complete DNS packet (either a query or an answer)

It is the complete representation of what you actually send to a nameserver, and what it sends back (assuming you are the client here).

Definition at line 233 of file packet.h.

## Field Documentation

ldns_hdr* ldns_struct_pkt::_header

Header section.

Definition at line 236 of file packet.h.

ldns_rdf* ldns_struct_pkt::_answerfrom

The size of the wire format of the packet in octets.

Definition at line 239 of file packet.h.

struct timeval ldns_struct_pkt::timestamp

Timestamp of the time the packet was sent or created.

Definition at line 241 of file packet.h.

uint32_t ldns_struct_pkt::_querytime

The duration of the query this packet is an answer to.

Definition at line 243 of file packet.h.

size_t ldns_struct_pkt::_size

The size of the wire format of the packet in octets.

Definition at line 245 of file packet.h.

ldns_rr* ldns_struct_pkt::_tsig_rr

Optional tsig rr.

Definition at line 247 of file packet.h.

uint16_t ldns_struct_pkt::_edns_udp_size

EDNS0 available buffer size, see RFC2671.

Definition at line 249 of file packet.h.

uint8_t ldns_struct_pkt::_edns_extended_rcode

EDNS0 Extended rcode.

Definition at line 251 of file packet.h.

uint8_t ldns_struct_pkt::_edns_version

EDNS Version.

Definition at line 253 of file packet.h.

uint16_t ldns_struct_pkt::_edns_z

Reserved EDNS data bits.

Definition at line 255 of file packet.h.

ldns_rdf* ldns_struct_pkt::_edns_data

Arbitrary EDNS rdata.

Definition at line 257 of file packet.h.

ldns_rr_list* ldns_struct_pkt::_question

Question section.

Definition at line 259 of file packet.h.

ldns_rr_list* ldns_struct_pkt::_answer

Answer section.

Definition at line 261 of file packet.h.

ldns_rr_list* ldns_struct_pkt::_authority

Authority section.

Definition at line 263 of file packet.h.

ldns_rr_list* ldns_struct_pkt::_additional

Additional section.

Definition at line 265 of file packet.h.